%define	name	rblcheck
%define	version	1.4
%define	release	1mdk

Summary:	A program for performing checks against RBL-style blacklists.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://rblcheck.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Rblcheck is a lightweight C program for performing checks against RBL-style
IP address blacklists. It works well in conjunction with Procmail for
filtering unwanted bulk email. 

This package also includes several tools that try to extract an originating
IP address from e-mail header. See %{_bindir}/origip-* and the documentation

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
LDLIBS=-lresolv make 
make -C utils/qmail

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -s -m 755 rblcheck %{buildroot}%{_bindir}/
install -m 755 utils/qmail/origip.awk %{buildroot}%{_bindir}/origip-qmail.awk
install -s -m 755 utils/qmail/origip %{buildroot}%{_bindir}/origip-qmail
install -m 755 utils/sendmail/origip.pl %{buildroot}%{_bindir}/origip-sendmail.pl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README docs/* utils/test*.sh
%{_bindir}/rblcheck
%{_bindir}/origip-*

%changelog
* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-1mdk
- initial cooker contrib
- added P0

